using System;

namespace FudbalskaUtakmica
{
    class Program
    {
        static string Pobeda(int a, int b, int x, int y)
        {
            string rez = "";

            int potrebanA = a - x;
            int potrebanB = b - y;

            if (a==x && b!=y)
            {
                rez = "drugi";
            }
            else  if (b==y && a!=x)
            {
                rez = "prvi";
            }

            if (a==x && b==y)
            {
                rez = "nijedan";
            }

            else if(a==b)
            { 
                rez = "?";
            }

            return rez;
        }

        static void Main(string[] args)
        {
            string[] spojleri = Console.ReadLine().Split();
            int a = int.Parse(spojleri[0]);
            int b = int.Parse(spojleri[1]);
            string[] trenutniRezultat = Console.ReadLine().Split();
            int x = int.Parse(trenutniRezultat[0]);
            int y = int.Parse(trenutniRezultat[1]);

            Console.WriteLine(Pobeda(a,b,x,y));
        }
    }
}